# $Revision: 1.29 $, $Date: 2011/10/05 16:49:10 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	General purpose video codec
Summary(pl.UTF-8):	Kodek obrazu ogólnego przeznaczenia
Name:		dirac
Version:	1.0.2
Release:	4
License:	MPL v1.1 or GPL v2 or LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/dirac/%{name}-%{version}.tar.gz
# Source0-md5:	a57c2c5e58062d437d9ab13dffb28f0f
Patch0:		%{name}-am.patch
URL:		http://www.bbc.co.uk/rd/projects/dirac/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-base
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-metafont
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.map *.dot

%description
Dirac is a general-purpose video codec aimed at resolutions from QCIF
(180x144) to HDTV (1920x1080) progressive or interlaced. It uses
wavelets, motion compensation and arithmetic coding.

%description -l pl.UTF-8
Dirac jest kodekiem ogólnego przeznaczenia dla obrazu o
rozdzielczościach od QCIF (180x144) do HDTV (1920x1080). Kodek ten
wykorzystuje fale elementarne (wavelets), kompensację ruchu (motion
compensation) oraz kodowanie arytmetyczne (arithmetic coding).

%package libs
Summary:	Libraries for dirac codec
Summary(pl.UTF-8):	Biblioteki kodeka dirac
Group:		Libraries
Conflicts:	dirac < 1.0.2-3

%description libs
Dirac is a general-purpose video codec aimed at resolutions from QCIF
(180x144) to HDTV (1920x1080) progressive or interlaced. It uses
wavelets, motion compensation and arithmetic coding.

This package contains libraries for dirac.

%description libs -l pl.UTF-8
Dirac jest kodekiem ogólnego przeznaczenia dla obrazu o
rozdzielczościach od QCIF (180x144) do HDTV (1920x1080). Kodek ten
wykorzystuje fale elementarne (wavelets), kompensację ruchu (motion
compensation) oraz kodowanie arytmetyczne (arithmetic coding).

Ten pakiet zawiera biblioteki kodeka dirac.

%package devel
Summary:	Header files for dirac library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dirac
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for dirac library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dirac.

%package static
Summary:	Static dirac library
Summary(pl.UTF-8):	Statyczna biblioteka dirac
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static dirac library.

%description static -l pl.UTF-8
Statyczna biblioteka dirac.

%package apidocs
Summary:	dirac API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki dirac
Group:		Documentation

%description apidocs
API and internal documentation for dirac library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki dirac.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CPPUNITTESTS_DIR=

rm -f doc/api/html/*.md5
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/dirac

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/BMPtoRGB
%attr(755,root,root) %{_bindir}/RGBtoBMP
%attr(755,root,root) %{_bindir}/RGBtoUYVY
%attr(755,root,root) %{_bindir}/RGBtoYUV411
%attr(755,root,root) %{_bindir}/RGBtoYUV420
%attr(755,root,root) %{_bindir}/RGBtoYUV422
%attr(755,root,root) %{_bindir}/RGBtoYUV444
%attr(755,root,root) %{_bindir}/UYVYtoRGB
%attr(755,root,root) %{_bindir}/UYVYtoYUV422
%attr(755,root,root) %{_bindir}/YUV411toRGB
%attr(755,root,root) %{_bindir}/YUV420Down2x2
%attr(755,root,root) %{_bindir}/YUV420ItoYUV422I
%attr(755,root,root) %{_bindir}/YUV420pt75filter
%attr(755,root,root) %{_bindir}/YUV420toRGB
%attr(755,root,root) %{_bindir}/YUV420toYUV422
%attr(755,root,root) %{_bindir}/YUV422ItoYUV420I
%attr(755,root,root) %{_bindir}/YUV422toRGB
%attr(755,root,root) %{_bindir}/YUV422toUYVY
%attr(755,root,root) %{_bindir}/YUV422toYUV420
%attr(755,root,root) %{_bindir}/YUV444toRGB
%attr(755,root,root) %{_bindir}/create_dirac_testfile.pl
%attr(755,root,root) %{_bindir}/dirac_decoder
%attr(755,root,root) %{_bindir}/dirac_encoder
%attr(755,root,root) %{_bindir}/dirac_instrumentation

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdirac_decoder.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdirac_decoder.so.0
%attr(755,root,root) %{_libdir}/libdirac_encoder.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdirac_encoder.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdirac_decoder.so
%attr(755,root,root) %{_libdir}/libdirac_encoder.so
%{_libdir}/libdirac_decoder.la
%{_libdir}/libdirac_encoder.la
%{_includedir}/%{name}
%{_pkgconfigdir}/dirac.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdirac_decoder.a
%{_libdir}/libdirac_encoder.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html
%doc doc/dirac_api_{foot,head}.html
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dirac.spec,v $
Revision 1.29  2011/10/05 16:49:10  arekm
- release 4

Revision 1.28  2011/03/25 18:12:26  qboosh
- pl for -libs

Revision 1.27  2011/01/07 16:12:37  glen
- split -libs (avoids perl dep on ffmpeg); rel 3

Revision 1.26  2010/08/29 22:09:20  glen
- apidocs subpackage
- static_libs bcond
- verbose files
- rel 2

Revision 1.25  2010/05/23 17:24:36  arekm
- up to 1.0.2

Revision 1.24  2009/07/21 05:11:35  glen
- release 3

Revision 1.23  2008/10/24 20:43:00  arekm
- release 2

Revision 1.22  2008/09/18 09:12:10  pawelz
- up to 1.0.0

Revision 1.21  2008/08/14 18:27:34  arekm
- up to 0.10.0

Revision 1.20  2008-04-04 22:05:23  sls
- ver. 0.9.1

Revision 1.19  2007-11-04 09:20:11  qboosh
- updated to 0.8.0

Revision 1.18  2007/08/27 17:55:47  qboosh
- updated to 0.7.0

Revision 1.17  2007/06/14 18:18:43  arekm
- rel 2

Revision 1.16  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.14  2006/06/23 12:55:00  qboosh
- updated to 0.6.0 (API changed, patches for ffmpeg/mplayer available)

Revision 1.13  2005/12/10 21:54:34  qboosh
- updated to 0.5.4

Revision 1.12  2005/08/28 18:54:28  qboosh
- updated to 0.5.3

Revision 1.11  2005/08/13 18:04:34  qboosh
- don't install unit testsuite program (avoid cppunit dependency)
- release 2

Revision 1.10  2005/06/26 19:34:22  freetz
- fixed docs install insanity

Revision 1.9  2005/06/03 17:42:21  qboosh
- updated to 0.5.2

Revision 1.8  2005/03/03 13:16:49  charles
- updated to 0.5.1
- BR tetex-metafont

Revision 1.7  2004/12/25 17:40:50  qboosh
- unified

Revision 1.6  2004/12/03 22:57:13  qboosh
- updated to 0.5.0, removed obsolete shared patch, added am patch
- BR+R libstdc++-devel, BR: tetex-dvips, License unification

Revision 1.5  2004/09/21 20:29:00  paszczus
- updated to 0.4.3

Revision 1.4  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.3  2004/08/26 13:52:06  grzegol
- updated to 0.4.1

Revision 1.2  2004/08/03 00:24:13  grzegol
- fixed include files

Revision 1.1  2004/08/02 21:17:11  grzegol
- new
